[arch-commits] Commit in kdeplasma-applets-networkmanager/trunk (PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Sun Nov 29 12:39:41 EST 2009


    Date: Sunday, November 29, 2009 @ 12:39:40
  Author: andrea
Revision: 59917

undo

Modified:
  kdeplasma-applets-networkmanager/trunk/PKGBUILD

----------+
 PKGBUILD |   16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-29 17:39:30 UTC (rev 59916)
+++ PKGBUILD	2009-11-29 17:39:40 UTC (rev 59917)
@@ -3,7 +3,7 @@
 # Contributor: Jakub Schmidtke <sjakub-at-gmail.com>
 
 pkgname=kdeplasma-applets-networkmanager
-pkgver=1050092
+pkgver=1047027
 pkgrel=1
 pkgdesc="KDE4 NetworkManager plasmoid"
 arch=('i686' 'x86_64')
@@ -13,15 +13,21 @@
 makedepends=('cmake' 'python' 'automoc4')
 conflicts=('networkmanager-plasmoid-svn')
 replaces=('networkmanager-plasmoid-svn')
-#svn co -q svn://websvn.kde.org:443/home/kde/trunk/kdereview/networkmanagement/ kdeplasma-applets-networkmanager
-source=("ftp://ftp.archlinux.org/other/kde/${pkgname}-r${pkgver}.tar.bz2")
-md5sums=('c328158e6a792029943e5e67c5e59c44')
+#svn co -q svn://websvn.kde.org:443/home/kde/trunk/playground/base/plasma/applets/networkmanager/ kdeplasma-applets-networkmanager
+source=("ftp://ftp.archlinux.org/other/kde/${pkgname}-r${pkgver}.tar.bz2"
+	'remove-i-know-what-am-doing.patch')
+md5sums=('ab554dfe2f503f176d33168f3042c80b'
+         'f4edca116beef0d70a93b5709b854e54')
 
 build() {
+  cd ${srcdir}/${pkgname}
+  # we can't build plasmoid with qt 4.5
+  patch -R -p6 -i ${srcdir}/remove-i-know-what-am-doing.patch || return 1
+
   cd ${srcdir}
   mkdir build
   cd build
-  cmake ../networkmanagement \
+  cmake ../${pkgname} \
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DCMAKE_BUILD_TYPE=Release \
     -DDBUS_SYSTEM_POLICY_DIR=/etc/dbus-1/system.d



More information about the arch-commits mailing list